-- 夺旗大战进度条信息
Lua_CampWarFightInfoPanel = class("Lua_CampWarFightInfoPanel", Lua_DisplayObject);
function Lua_CampWarFightInfoPanel:ctor(p)
	self:superCall("ctor", p, "CampWarFightInfoPanel_skin");
end

function Lua_CampWarFightInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.leftCampName.text = DataCenter.campWarUtil:getCampNameById(Lua_CampWarUtil.CAMPWARID_BLUE);
	self.rightCampName.text = DataCenter.campWarUtil:getCampNameById(Lua_CampWarUtil.CAMPWARID_RED);

	self.winNeedScore = DataCenter.campWarUtil.campWarWinNeedScore;
	self.blueBarIcon.type = UIBasicSprite.Type.Filled;
	self.blueBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.blueBarIcon.fillAmount = 0;

	self.redBarIcon.type = UIBasicSprite.Type.Filled;
	self.redBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.redBarIcon.fillAmount = 0;

	self.blueBar:setEnable(false);
	self.redBar:setEnable(false);

	self:updateCampWarFightInfo();
end

function Lua_CampWarFightInfoPanel:updateCampWarFightInfo()
	-- self.blueBar:setMaxValue(self.winNeedScore);
	-- self.blueBar:setValue(DataCenter.campWarData.blueCampScore);
	-- self.blueBar:setText(DataCenter.campWarData.blueCampScore .. "/" .. self.winNeedScore);

	-- self.redBar:setMaxValue(self.winNeedScore);
	-- self.redBar:setValue(DataCenter.campWarData.redCampScore);
	-- self.redBar:setText(DataCenter.campWarData.redCampScore .. "/" .. self.winNeedScore);

	self.blueBarIcon.fillAmount = DataCenter.campWarData.blueCampScore / self.winNeedScore;
	self.blueNumLab.text = DataCenter.campWarData.blueCampScore.."/"..self.winNeedScore;
	self.redBarIcon.fillAmount = DataCenter.campWarData.redCampScore / self.winNeedScore;
	self.redNumLab.text = DataCenter.campWarData.redCampScore.."/"..self.winNeedScore;
end